/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#ifndef __STATUS_H
#define __STATUS_H

#include <qcombobox.h>
#include <qdialog.h>
#include <qpushbutton.h>

class History;

class StatusWin: public QDialog
{
	Q_OBJECT
	private:
		QComboBox *infolist;
		QPushButton *b_ok;
	signals:
		void changeStatus(const QString &txt);
	protected slots:
		virtual void accept();
	public:
		StatusWin(QWidget *parent, const QString &name, const History &list);
		~StatusWin();
};

#endif

