/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#include "vygetsocket.h"
#include "vypacket.h"
#include <qhostaddress.h>
//#include <stdlib.h>
//#include <stdarg.h>
//#include <stdio.h>
//#include <string.h>
//#include <time.h>
//#include <sys/socket.h>

VyGetSocket::VyGetSocket(QTextCodec *c): QSocketDevice(QSocketDevice::Datagram), tc(c)/*{{{*/
{
	buffer = new char [VY_MAXPACKETSIZE+1];
	QHostAddress ip;
	if (ip.setAddress("0.0.0.0"))
	{
		setBlocking(FALSE);
		if (!bind(ip, VY_PORT))
		{
			qWarning("error: cannont bind to socket");
		}
	}
	else
	{
		qWarning("error: cannot set IP address");
	}
}/*}}}*/

VyGetSocket::~VyGetSocket()/*{{{*/
{
}/*}}}*/

void VyGetSocket::setTextCodec(QTextCodec *c)/*{{{*/
{
	tc = c;
}/*}}}*/

VyPacket* VyGetSocket::readPacket()/*{{{*/
{
	int l = readBlock(buffer, VY_MAXPACKETSIZE);
	return new VyPacket(peerAddress(), buffer, l, tc);
}/*}}}*/

