/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#ifndef __VYGETSOCKET_H
#define __VYGETSOCKET_H

#include <qtextcodec.h>
#include <qsocketdevice.h>

class VyPacket;

class VyGetSocket: protected QSocketDevice
{
	private:
		QTextCodec *tc;
		char *buffer;
	public:
		VyGetSocket(QTextCodec *c);
		~VyGetSocket();
		void setTextCodec(QTextCodec *c);
		VyPacket* readPacket();
		int socket() { return QSocketDevice::socket(); }
		bool isValid() { return QSocketDevice::isValid(); }
	};

#endif

